---
title: 'VisualViewport: scroll event'
slug: Web/API/VisualViewport/scroll_event
tags:
  - API
  - Experimental
  - Reference
  - Scroll
  - VisualViewport
  - events
---
<div>{{APIRef("Window")}}{{seecompattable}}</div>

<div>
<p>The <code><strong>scroll</strong></code> event of the <code><a href="/en-US/docs/Web/API/VisualViewport">VisualViewport</a></code> interface is fired when the visual viewport is scrolled.</p>
</div>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td>{{domxref("Event")}}</td>
  </tr>
  <tr>
   <th scope="row">Event handler property</th>
   <td><code><a href="/en-US/docs/Web/API/VisualViewport/onscroll">onscroll</a></code></td>
  </tr>
 </tbody>
</table>

<h2 id="Examples">Examples</h2>

<p>You can use the <code>scroll</code> event in an <code><a href="/en-US/docs/Web/API/EventTarget/addEventListener">addEventListener</a></code> method:</p>

<pre class="brush: js notranslate">visualViewport.addEventListener('scroll', function() {
  ...
});</pre>

<p>Or use the <code><a href="/en-US/docs/Web/API/VisualViewport/onscroll">onscroll</a></code> event handler property:</p>

<pre class="brush: js notranslate">visualViewport.onscroll = function() {
  ...
};</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Visual Viewport','#events','VisualViewport events')}}</td>
   <td>{{Spec2('Visual Viewport')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.VisualViewport.scroll_event")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Visual_Viewport_API">Visual Viewport API homepage</a></li>
</ul>
